Update or create a pricing plan subscription (upsert)

Requires the PRICING_PLAN_SUBSCRIPTION.CREATE, QUOTE.PRICING_PLAN_SUBSCRIPTION.CREATE, PRICING_PLAN_SUBSCRIPTION.UPDATE or QUOTE.PRICING_PLAN_SUBSCRIPTION.UPDATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

identifier_fieldstringOptional
Which field to use to identify whether the resource exists or not
custom_field_referencestringOptional
Which custom field to use to identify whether the resource exists or not
field_actionsmap from strings to stringsOptional
The list of actions for specific fields.

Request

This endpoint expects an object.
referencestringRequiredformat: "^\S+$"0-256 characters
customer_idstringRequired
The ID of the customer.
customer_referencestringRequired
The reference of the customer.
billing_currencyenumRequired

The alphabetic currency code representing the type of currency used for billing. If not set, the default (platform) value will be taken.

variantenumRequired
Allowed values:
init_invoice_on_holdbooleanRequired
payment_method_idstringRequired
The ID of the payment method to be used to pay for invoices of this subscription.
statusenum or nullOptional
The status of the subscription.
Allowed values:
namestring or nullOptionalformat: "^.*$"0-256 characters
purchase_order_numberstring or nullOptionalformat: "^[a-zA-Z0-9!#$%&-_.*\s]*$"0-256 characters
The uniquely assigned purchase order number.
customerobject or nullOptional
billing_entity_idstring or nullOptional
The resource ID of the billing entity that is assigned to the subscription. If not set, the default platform value will be taken.
billing_entity_referencestring or nullOptional
The reference of the billing entity that is assigned to the subscription. If not set, the default platform value will be taken.
billing_entityobject or nullOptional
billing_periodobjectOptional
The renewal term after the initial term.
due_date_configurationobjectOptional

The configuration of the due date of the invoices in the subscriptions. If not set, the default (platform) value will be taken.

initial_termobjectOptional
The renewal term after the initial term.
renewal_termobjectOptional
The renewal term after the initial term.
auto_renewalboolean or nullOptional
Indicates if the subscription renews automatically.
typeenum or nullOptional
Allowed values:
billing_timeenum or nullOptional
The moment the invoices for the subscription should be created. If not set, the default platform value will be taken.
Allowed values:
combineboolean or nullOptional
Indication whether invoices of different subscriptions should be combined, if possible. If not set, the default platform value will be taken.
quote_version_idstring or nullOptional
The reference to the version of the quote where the subscription is linked to.
payment_acceptor_idslist of strings or nullOptional

The resource ID(s) of the specific payment acceptors for the subscription

descriptionstring or nullOptionalformat: "^.*$"0-256 characters
custom_fieldslist of objects or nullOptional
pricing_plan_subscription_group_idstring or nullOptional
The resource ID of the pricing plan subscription group where the subscription is part of
pricing_plan_subscription_groupobject or nullOptional
forward_customer_idstring or nullOptional

The reference to the customer that needs to be used for the invoice (for FORWARD_BILLING)

forward_customerobject or nullOptional
display_invoice_sub_lines_per_processing_only_customerboolean or nullOptional
replicate_meter_data_ingest_to_parentboolean or nullOptional
sales_tax_percentagestring or nullOptionalformat: "^\S+$"0-256 characters
Sales tax for this subscription. If provided, it will override the tax for all items on the invoice. Mandatory for US to US billing when there's no external tax integration. Optional otherwise
next_invoiceobject or nullOptional
templateobjectOptional
The configuration fields that can be used when having a template subscription.
linked_integrationslist of objects or nullOptional

Response

Created
referencestringformat: "^\S+$"0-256 characters
customer_idstring
The ID of the customer.
customer_referencestring
The reference of the customer.
billing_currencyenum

The alphabetic currency code representing the type of currency used for billing. If not set, the default (platform) value will be taken.

variantenum
Allowed values:
init_invoice_on_holdboolean
payment_method_idstring
The ID of the payment method to be used to pay for invoices of this subscription.
object_typestring or nullRead-only
idstring or nullRead-only
created_atstring or nullRead-only
updated_atstring or nullRead-only
activated_atstring or nullRead-only
statusenum or null
The status of the subscription.
Allowed values:
namestring or nullformat: "^.*$"0-256 characters
purchase_order_numberstring or nullformat: "^[a-zA-Z0-9!#$%&-_.*\s]*$"0-256 characters
The uniquely assigned purchase order number.
customerobject or null
billing_entity_idstring or null
The resource ID of the billing entity that is assigned to the subscription. If not set, the default platform value will be taken.
billing_entity_referencestring or null
The reference of the billing entity that is assigned to the subscription. If not set, the default platform value will be taken.
billing_entityobject or null
billing_periodobject
The renewal term after the initial term.
due_date_configurationobject

The configuration of the due date of the invoices in the subscriptions. If not set, the default (platform) value will be taken.

initial_termobject
The renewal term after the initial term.
renewal_termobject
The renewal term after the initial term.
auto_renewalboolean or null
Indicates if the subscription renews automatically.
typeenum or null
Allowed values:
billing_timeenum or null
The moment the invoices for the subscription should be created. If not set, the default platform value will be taken.
Allowed values:
combineboolean or null
Indication whether invoices of different subscriptions should be combined, if possible. If not set, the default platform value will be taken.
quote_version_idstring or null
The reference to the version of the quote where the subscription is linked to.
upgraded_from_pricing_plan_subscription_idstring or nullRead-only
The resource ID of the subscription that this subscription is upgraded from.
upgraded_to_pricing_plan_subscription_idstring or nullRead-only
The resource ID of the subscription that this subscription is upgraded to.
payment_acceptor_idslist of strings or null

The resource ID(s) of the specific payment acceptors for the subscription

payment_acceptorslist of objects or nullRead-only
pricing_plan_schedule_infoslist of objects or nullRead-only
descriptionstring or nullformat: "^.*$"0-256 characters
custom_fieldslist of objects or null
pricing_plan_subscription_group_idstring or null
The resource ID of the pricing plan subscription group where the subscription is part of
pricing_plan_subscription_groupobject or null
forward_customer_idstring or null

The reference to the customer that needs to be used for the invoice (for FORWARD_BILLING)

forward_customerobject or null
inactive_periodslist of objects or nullRead-only
display_invoice_sub_lines_per_processing_only_customerboolean or null
replicate_meter_data_ingest_to_parentboolean or null
sales_tax_percentagestring or nullformat: "^\S+$"0-256 characters
Sales tax for this subscription. If provided, it will override the tax for all items on the invoice. Mandatory for US to US billing when there's no external tax integration. Optional otherwise
next_invoiceobject or null
templateobject
The configuration fields that can be used when having a template subscription.
linked_integrationslist of objects or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error